
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>services.data_operations.read module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-services.data_operations.read">
<span id="services-data-operations-read-module"></span><h1>services.data_operations.read module<a class="headerlink" href="#module-services.data_operations.read" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="services.data_operations.read.Header">
<em class="property">class </em><code class="sig-prename descclassname">services.data_operations.read.</code><code class="sig-name descname">Header</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">s3_connector_id: int</em>, <em class="sig-param">source_bucket: str</em>, <em class="sig-param">header_object: str</em>, <em class="sig-param">delimiter=None</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.Header" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_operations.read.Header.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.Header.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_operations.read.Rows">
<em class="property">class </em><code class="sig-prename descclassname">services.data_operations.read.</code><code class="sig-name descname">Rows</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">s3_connector_id: int</em>, <em class="sig-param">source_bucket: str</em>, <em class="sig-param">source_object: str</em>, <em class="sig-param">data_header=True</em>, <em class="sig-param">delimiter=None</em>, <em class="sig-param">count_rows=5</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.Rows" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_operations.read.Rows.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.Rows.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_operations.read.Shape">
<em class="property">class </em><code class="sig-prename descclassname">services.data_operations.read.</code><code class="sig-name descname">Shape</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">rs_connector_id: int</em>, <em class="sig-param">schema: str</em>, <em class="sig-param">table_name: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.Shape" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_operations.read.Shape.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.Shape.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_operations.read.SampleFile">
<em class="property">class </em><code class="sig-prename descclassname">services.data_operations.read.</code><code class="sig-name descname">SampleFile</code><span class="sig-paren">(</span><em class="sig-param">session</em>, <em class="sig-param">s3_connector_id: int</em>, <em class="sig-param">file_name: str</em>, <em class="sig-param">data_header=True</em>, <em class="sig-param">delimiter=None</em>, <em class="sig-param">text_qualifier=None</em>, <em class="sig-param">act_filename=None</em>, <em class="sig-param">count_rows=6</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.SampleFile" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_operations.read.SampleFile.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.SampleFile.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_operations.read.FileProperties">
<em class="property">class </em><code class="sig-prename descclassname">services.data_operations.read.</code><code class="sig-name descname">FileProperties</code><span class="sig-paren">(</span><em class="sig-param">session</em>, <em class="sig-param">s3_connector_id: int</em>, <em class="sig-param">file_name: str</em>, <em class="sig-param">act_filename=None</em>, <em class="sig-param">count_rows=10</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.FileProperties" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_operations.read.FileProperties.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.FileProperties.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_operations.read.AttributeInfo">
<em class="property">class </em><code class="sig-prename descclassname">services.data_operations.read.</code><code class="sig-name descname">AttributeInfo</code><span class="sig-paren">(</span><em class="sig-param">session</em>, <em class="sig-param">s3_connector_id: int</em>, <em class="sig-param">file_name: str</em>, <em class="sig-param">act_filename=None</em>, <em class="sig-param">data_header=True</em>, <em class="sig-param">delimiter=None</em>, <em class="sig-param">count_rows=100</em>, <em class="sig-param">text_qualifier=None</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.AttributeInfo" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_operations.read.AttributeInfo.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.AttributeInfo.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_operations.read.GetZipContents">
<em class="property">class </em><code class="sig-prename descclassname">services.data_operations.read.</code><code class="sig-name descname">GetZipContents</code><span class="sig-paren">(</span><em class="sig-param">session</em>, <em class="sig-param">s3_connector_id: int</em>, <em class="sig-param">file_name: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.GetZipContents" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_operations.read.GetZipContents.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.GetZipContents.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_operations.read.SampleFwF">
<em class="property">class </em><code class="sig-prename descclassname">services.data_operations.read.</code><code class="sig-name descname">SampleFwF</code><span class="sig-paren">(</span><em class="sig-param">session</em>, <em class="sig-param">s3_connector_id: int</em>, <em class="sig-param">file_name: str</em>, <em class="sig-param">delimiter</em>, <em class="sig-param">column_names</em>, <em class="sig-param">count=5</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.SampleFwF" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_operations.read.SampleFwF.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_operations.read.SampleFwF.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/services.data_operations.read.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>